const app = getApp();
Page({
  data: {
    userInfo:{},
    longitude: 120.113514,
    latitude: 30.339744,
    markers: [{
      id: 1,
      longitude: 120.113514,
      latitude: 30.339744,
      //   label:{
      //   padding:'3px',
      //     borderRadius:3,
      //     borderWidth:1,
      //   bgColor:'#fff',
      //   content:'佐萌科技',
      //   color:'#333333',
      //   fontSize:16,
      //     title:'佐萌科技',
      //     textAlign:'right',
      //     anchorY:6
      // },
    }]
  },
  onLoad: function (options) {
    this.getInfo()
  },
  makePhoneCall: function() {
    wx.makePhoneCall({
      phoneNumber: this.data.userInfo.contactPhone // 电话号码
    })
  },
  getInfo(){
    let that = this
    let subdomain=''
    let appId = wx.getAccountInfoSync().miniProgram.appId
    if(appId=='wxdb3d8f9a94eca8d9'){
      subdomain='jinyanxia'
    }else if(appId=='wx175347bd3977d6a9'){
      subdomain='21'
    }else if(appId=='wx7dca103eaf35d1f7'){
      subdomain='wuyoushop0571jg0001'
    }else if(appId=='wxca8cfe95f6fa0e0b'){
      subdomain='guoxindengshi'
    }else if(appId=='wxbe067c202501e58a'){
      subdomain='xmy888'
    }
    wx.request({
      url: app.globalData.defurl + '/api/store/info?link='+subdomain,
      success: function (res) {
        let data = res.data.data
        let list = [{
          longitude: data.longitude,
          latitude: data.latitude,
        }]
        that.setData({
          userInfo:data,
          latitude:data.latitude,
          longitude:data.longitude,
          markers:list,
        })
      },
      complete(){
        wx.hideLoading();
      }
    })
  },
  toIndex(){
    wx.openLocation({
      latitude: Number(this.data.latitude),
      longitude: Number(this.data.longitude),
      name: this.data.userInfo.storeName,
      address: this.data.userInfo.areaAddress,
      scale: 14,
      infoUrl: "",
    });
  },
})